Bug 646817 - System health indicator in "Systems" related pages not displayed
System health indicator in "Systems" related pages not displayed
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring (Show other bugs)
540
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lukas Zapletal
Garik Khachikyan
: Regression
Depends On:
Blocks: sat54-errata 656311
  Show dependency treegraph
 
Reported: 2010-10-26 07:24 EDT by Garik Khachikyan
Modified: 2015-01-04 16:58 EST (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-java-1.2.39-30
Doc Type: Bug Fix
Doc Text:
The monitoring status icon is now properly displayed.
Story Points: ---
Clone Of:
: 656311 (view as bug list)
Environment:
Last Closed: 2010-12-16 10:44:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2010-10-26 07:24:30 EDT
Description of problem:
For the systems that have Monitoring probes assigned, the "health" icon indicating the state of systems is not shown.
For example the pages:
---
https://<sat>/rhn/systems/Overview.do
https://<sat>/rhn/systems/SystemList.do
https://<sat>/rhn/systems/Ungrouped.do
... and similar.
---

Version-Release number of selected component (if applicable):
Current sat 540 with stage-signed iso/packages.

How reproducible:
always when monitoring is enabled and system(s) have probes assigned.

Steps to Reproduce:
1. have satellite with Monitoring enabled (+Scout - not sure if important, but anyway)
2. register a system, entitle appropriately for Monitoring 
3. make a monitoring probe
  
Actual results:
No icon appears indicating that system is under monitoring control.

Expected results:
The icon appears, later on if all the settings configured well - should get probe results.

Additional info:
For Satellite 530 it's working~
Comment 2 Garik Khachikyan 2010-10-26 07:27:51 EDT
btw: in the page of system groups the indicator is available.
Comment 5 Lukas Zapletal 2010-11-24 05:38:36 EST
commit 6f4fcd1bf9c785cbffdc0bb76a8cdf8dfb39d8e7
Author: Lukas Zapletal <lzap+git@redhat.com>
Date:   Tue Nov 23 14:08:44 2010 +0100

    646817 - System health indicator in "Systems" related pages not displayed
    
    Adding missing ">" bracket.
    
    (cherry picked from commit c36b7847e118239af21ef284160693308e1db91b)
Comment 6 Lukas Zapletal 2010-11-26 04:24:59 EST
Please note:

This error does occur on Webkit browsers (and maybe others). The workaroud is to use Firefox.
Comment 9 Garik Khachikyan 2010-12-10 11:06:51 EST
# VERIFIED

following are the packages fixing the issue:
---
spacewalk-java-1.2.39-34.el5sat
spacewalk-java-oracle-1.2.39-34.el5sat
spacewalk-java-config-1.2.39-34.el5sat
spacewalk-java-lib-1.2.39-34.el5sat
spacewalk-taskomatic-1.2.39-34.el5sat
---

checked on FF, Opera, Google Chrome - all are displaying the probe health status properly now.
Comment 11 errata-xmlrpc 2010-12-16 10:44:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0991.html
Comment 12 Jaromir Hradilek 2010-12-16 11:34:46 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The monitoring status icon is now properly displayed.

Note You need to log in before you can comment on or make changes to this bug.